/*
 * $Id: Model.cpp 118 2009-05-20 22:01:32Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Model.h"
#include "Common/include/Debug.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Model::Model"
  Model::Model (void)
  {
    log_begin(Behavioural,FUNCTION);

    set_model(NAME_true ,MODEL_SYSTEMC,true );
    set_model(NAME_false,MODEL_SYSTEMC,false);

    log_end(Behavioural,FUNCTION);
  }

#undef  FUNCTION
#define FUNCTION "Model::~Model"
  Model::~Model(void)
  {
    log_begin(Behavioural,FUNCTION);
    log_end(Behavioural,FUNCTION);
  }

}; // end namespace behavioural          
}; // end namespace morpheo              
